﻿using System;

namespace StandardObserver
{
    class DigitalClock : IObserver
    {
        private ClockTimer timer;

        public DigitalClock(ClockTimer concreteSubj)
        {
            timer = concreteSubj;
            timer.Attach(this);
        }
        public void Update(Subject subj)
        {
            if ((subj != null) && (subj == timer))
                Draw();
        }
        private void Draw() // simulating draw using the standard output...
        {
            Console.WriteLine("Digital time: " + timer.GetTime().ToString());
        }
    }
}