﻿using System;

namespace StandardObserver
{
    class Program
    {
        static void Main(string[] args)
        {
            ClockTimer clk = new ClockTimer();

            clk.SetTime(new TimeSpan(17, 35, 00)); // hh, mm, ss

            clk.Start();

            AnalogClock ac = new AnalogClock(clk);

            System.Threading.Thread.Sleep(5000);

            DigitalClock dc = new DigitalClock(clk);

            Console.WriteLine("Press any key to detach the analog clock");
            Console.ReadKey();

            clk.Detach(ac);

            Console.WriteLine("Press any key to terminate this program");
            Console.ReadKey();

            clk.Detach(dc);
            clk.Stop();
        }
    }
}
